WHENEVER SQLERROR EXIT FAILURE ROLLBACK;
WHENEVER OSERROR  EXIT FAILURE ROLLBACK;

spool hls_verification_tab.log

prompt
prompt Creating table hls_verification_tab
prompt ===========================
prompt
whenever sqlerror continue
drop table hls_verification_tab;
whenever sqlerror exit failure rollback

-- Create table
create table hls_verification_tab
(
 verification_id number not null,
 verification_no varchar2(30),
 contract_no varchar2(30),
 verification_date date,
 source_type varchar2(30),
 source_object varchar2(30),
 receipt_no varchar230),
 currency varchar2(30),
 message varchar2(30),
 credit_item_rent varchar2(30),
 credit_item_water varchar2(30),
 credit_item_electric varchar2(30),
 credit_item_network varchar2(30),
 credit_item_cable varchar2(30),
 creation_date date default sysdate not null,
 created_by number default -1 not null,
 last_updated_by number default -1 not null,
 last_update_date date default sysdate not null
);
comment on table hls_verification_tab is 'տ';

comment on column hls_verification_tab.verification_id is '';
comment on column hls_verification_tab.verification_no is '';
comment on column hls_verification_tab.contract_no is 'ݺͬ';
comment on column hls_verification_tab.verification_date is '';
comment on column hls_verification_tab.source_type is 'Դ(סԱ)';
comment on column hls_verification_tab.source_object is 'Դ(סԱϢ)';
comment on column hls_verification_tab.receipt_no is 'Դ(տ)';
comment on column hls_verification_tab.currency is '';
comment on column hls_verification_tab.message is 'ע';
comment on column hls_verification_tab.credit_item_rent is 'ծȨ()';
comment on column hls_verification_tab.credit_item_water is 'ծȨ(ˮ)';
comment on column hls_verification_tab.credit_item_electric is 'ծȨ()';
comment on column hls_verification_tab.credit_item_network is 'ծȨ()';
comment on column hls_verification_tab.credit_item_cable is 'ծȨ(߷)';
comment on column hls_verification_tab.creation_date is '';
comment on column hls_verification_tab.created_by is '';
comment on column hls_verification_tab.last_updated_by is '޸';
comment on column hls_verification_tab.last_update_date is '޸';

-- create/recreate primary, unique and foreign key constraints 
alter table hls_verification_tab
  add constraint hls_verification_tab_pk primary key (verification_id);
create index hls_verification_tab_n1 on hls_verification_tab(verification_id,verification_no);
spool off
exit
